<h1 translate>login.title</h1>

<mat-form [formGroup]="loginForm">
  <p>
    <mat-form-field appearance="fill">
      <mat-label translate>login.form.username.title</mat-label>
      <input matInput type="text" formControlName="username">
      <mat-error *ngIf="f.username.hasError('required')" translate>login.form.username.errors.required</mat-error>
    </mat-form-field>
  </p>

  <p>
    <mat-form-field appearance="fill">
      <mat-label translate>login.form.password.title</mat-label>
      <input matInput [type]="hidePassword ? 'password' : 'text'" formControlName="password">
      <mat-error *ngIf="f.password.hasError('required')" translate>login.form.password.errors.required</mat-error>
      <button mat-icon-button matSuffix (click)="hidePassword = !hidePassword" [attr.aria-label]="'Hide password'"
              [attr.aria-pressed]="hidePassword">
        <mat-icon>{{hidePassword ? 'visibility_off' : 'visibility'}}</mat-icon>
      </button>
    </mat-form-field>
  </p>

  <p class="submit">
    <button mat-flat-button color="primary" type="submit" [disabled]="formInvalid()" (click)="submit()">
      <span translate>login.form.submit</span>
    </button>
  </p>
</mat-form>
